Bug 512505 - Review Request: php-ezc-AuthenticationDatabaseTiein - eZ Components AuthenticationDatabaseTiein
Summary: Review Request: php-ezc-AuthenticationDatabaseTiein - eZ Components Authentic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 11
Hardware: noarch
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Colin Kissa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-18 08:48 UTC by Guillaume Kulakowski
Modified: 2014-09-02 13:31 UTC (History)
3 users (show)

Fixed In Version: 1.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 03:46:32 UTC
Type: ---
andrew: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Guillaume Kulakowski 2009-07-18 08:48:37 UTC
AuthenticationDatabaseTiein is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

---
The purpose of the Authentication component is to provide support for different
means of identification and authentication of users using different providers
and protocols.

AuthenticationDatabaseTiein provides a Database filter for the Authentication
component by using the Database component, and an implementation of a database
store (backend) for OpenID authentication.
---

SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-AuthenticationDatabaseTiein.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-AuthenticationDatabaseTiein-1.1-1.fc11.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-AuthenticationDatabaseTiein-1.1-1.fc11.noarch.rpm



rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-AuthenticationDatabaseTiein      
2 packages and 1 specfiles checked; 0 errors, 0 warnings.



Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.0.0   | 0 |            | implements         |
|                             |         |   |            | instanceof         |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
+-----------------------------+---------+---+------------+--------------------+

Comment 1 Andrew Colin Kissa 2009-08-04 09:21:03 UTC
Please note you should not set the review flag since you are the submitter of the bug.

I am going to do the review for you.

Comment 2 Andrew Colin Kissa 2009-08-04 09:55:38 UTC
OK: rpmlint must be run on every package. The output should be posted in the
review.
rpmlint ~/rpmbuild/SPECS/php-ezc-AuthenticationDatabaseTiein.spec ~/rpmbuild/SRPMS/php-ezc-AuthenticationDatabaseTiein-1.1-1.fc11.src.rpm ~/rpmbuild/RPMS/noarch/php-ezc-AuthenticationDatabaseTiein-1.1-1.fc11.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the  Package Naming Guidelines
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
OK: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines
OK: The License field in the package spec file must match the actual license.
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. 

sha1sum ./AuthenticationDatabaseTiein-1.1.tgz ~/rpmbuild/SOURCES/AuthenticationDatabaseTiein-1.1.tgz 
221dcfcf0f1bac1c5b8fb7386344609e114efe06  ./AuthenticationDatabaseTiein-1.1.tgz
221dcfcf0f1bac1c5b8fb7386344609e114efe06  /home/builder/rpmbuild/SOURCES/AuthenticationDatabaseTiein-1.1.tgz

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines 
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden
NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK: A Fedora package must not list a file more than once in the spec file's %files listings
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content.
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present
NA: Header files must be in a -devel package.
NA: Static libraries must be in a -static package.
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK: All filenames in rpm packages must be valid UTF-8

OK: The reviewer should test that the package builds in mock.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1579536

APPROVED

Comment 3 Guillaume Kulakowski 2009-08-13 09:11:39 UTC
New Package CVS Request
=======================
Package Name: php-ezc-AuthenticationDatabaseTiein
Short Description: Provides a Database filter for the Authentication component
Owners: llaumgui
Branches: F-10 F-11
InitialCC:

Comment 4 Jason Tibbitts 2009-08-14 16:13:24 UTC
CVS done.

Comment 5 Fedora Update System 2009-08-23 09:22:09 UTC
php-ezc-AuthenticationDatabaseTiein-1.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-ezc-AuthenticationDatabaseTiein-1.1-1.fc11

Comment 6 Fedora Update System 2009-08-23 09:22:15 UTC
php-ezc-AuthenticationDatabaseTiein-1.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-AuthenticationDatabaseTiein-1.1-1.fc10

Comment 7 Fedora Update System 2009-08-25 04:26:45 UTC
php-ezc-AuthenticationDatabaseTiein-1.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-AuthenticationDatabaseTiein'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8896

Comment 8 Fedora Update System 2009-08-25 04:47:20 UTC
php-ezc-AuthenticationDatabaseTiein-1.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-AuthenticationDatabaseTiein'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8978

Comment 9 Fedora Update System 2009-09-10 03:46:26 UTC
php-ezc-AuthenticationDatabaseTiein-1.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-09-10 03:47:11 UTC
php-ezc-AuthenticationDatabaseTiein-1.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Guillaume Kulakowski 2010-08-29 08:54:33 UTC
Package Change Request
======================
Package Name: php-ezc-AuthenticationDatabaseTiein
New Branches: EL-6
Owners: llaumgui

Comment 12 Kevin Fenzi 2010-08-29 18:51:59 UTC
Git done (by process-git-requests).

Comment 13 Guillaume Kulakowski 2014-09-02 12:58:25 UTC
Package Change Request
======================
Package Name: php-ezc-AuthenticationDatabaseTiein
New Branches: EL-7
Owners: llaumgui

Comment 14 Gwyn Ciesla 2014-09-02 13:31:47 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.